.bootstrap:
  stage: bootstrap
  image:
    name: "$PIT_BOOTSTRAP_IMAGE"
    entrypoint: [""]
  variables:
    PIT_BOOTSTRAP_IMAGE: "$PIT_IMAGE_BASE_PATH/gitlab/bootstrap"
  rules:
    - if: '$PIT_SKIP_REVIEW_DEPLOYMENTS && $CI_COMMIT_REF_NAME =~ /^feature\/.*$/'
      when: never

.bootstrap:triggers:
  extends: .bootstrap
  script:
    - powerodit generate_downstream_triggers
  artifacts:
    paths:
      - 'trigger.yml'

.bootstrap:tests:unit:
  extends: .bootstrap
  script:
    - powerodit generate_unit_tests
  artifacts:
    paths:
      - 'unit-tests.yml'

.bootstrap:tests:smoke:
  extends: .bootstrap
  script:
    - powerodit generate_smoke_tests
  artifacts:
    paths:
      - 'smoke-tests.yml'

.bootstrap:monorepo:
  extends: .bootstrap
  script:
    - powerodit generate_monorepo_pipeline
  artifacts:
    paths:
      - 'monorepo.yml'
